/**
 * 区域管理接口
 */
import request from '../index'
const prefix = 'sys'

// 区域查询
export function getAreaListPage(params: object) {
  return request({
    url: `${prefix}/area/listPage`,
    method: 'get',
    params,
  })
}

// 根据部门找其默认区域
export function getAreaByDept(deptid: string) {
  return request({
    url: 'config/getAreaByDept',
    method: 'get',
    params: {
      deptId: deptid,
    },
  })
}
// 区域查询
export function getAreaList(pid: string) {
  return request({
    url: `${prefix}/area/list`,
    method: 'get',
    params: {
      pid,
    },
  })
}

// 区域查询,非分页，加载树用
export function getAreaTree(params: object) {
  return request({
    url: `${prefix}/area/list`,
    method: 'get',
    params,
  })
}
// 区域类型查询
export function getAreaType() {
  return request({
    url: 'sys/dict/code/levelType',
    method: 'get',
  })
}

// 添加区域
export function addArea(data: object) {
  return request({
    url: `${prefix}/area/add`,
    method: 'post',
    data,
  })
}
// 修改区域机构
export function updateArea(data: object) {
  return request({
    url: `${prefix}/area/update`,
    method: 'post',
    data,
  })
}
// 删除区域机构
export function delArea(id: string) {
  return request({
    url: `${prefix}/area/delete`,
    method: 'post',
    data: {
      id,
    },
  })
}

// 根据父id获取列表
export function getAreaByPid(pid: string) {
  return request({
    url: '/sys/area/list?',
    method: 'get',
    params: {
      pid,
    },
  })
}
